package ru.dbotthepony.mc.otm.client.sound

import net.minecraft.client.resources.sounds.AbstractSoundInstance
import net.minecraft.client.resources.sounds.SoundInstance
import net.minecraft.sounds.SoundSource
import net.minecraft.world.phys.Vec3
import net.neoforged.api.distmarker.Dist
import net.neoforged.api.distmarker.OnlyIn
import ru.dbotthepony.mc.otm.block.entity.blackhole.BlackHoleBlockEntity
import ru.dbotthepony.mc.otm.registry.game.MSoundEvents

class BlackHoleAmbientSoundInstance(val tile: BlackHoleBlockEntity) : AbstractSoundInstance(MSoundEvents.BLACK_HOLE, SoundSource.AMBIENT, SoundInstance.createUnseededRandom()) {
	private val center = Vec3.atCenterOf(tile.blockPos)

	init {
		looping = true
		x = center.x
		y = center.y
		z = center.z
	}
}
